Package org.springframework.aot.hint

# Class ResourceBundleHint.Builder

java.lang.Object
org.springframework.aot.hint.ResourceBundleHint.Builder

Enclosing class:
  ResourceBundleHint

public static class ResourceBundleHint.Builder extends Object
Builder for `ResourceBundleHint`.

## Method Summary

Modifier and Type
Method
Description
`ResourceBundleHint.Builder`
`baseName(String baseName)`
Use the `baseName` of the resource bundle.
`ResourceBundleHint.Builder`
`onReachableType(TypeReference reachableType)`
Make this hint conditional on the fact that the specified type can be resolved.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### onReachableType

public ResourceBundleHint.Builder onReachableType(TypeReference reachableType)
Make this hint conditional on the fact that the specified type can be resolved.

Parameters:
  `reachableType` - the type that should be reachable for this hint to apply
Returns:
  `this`, to facilitate method chaining

### baseName

public ResourceBundleHint.Builder baseName(String baseName)
Use the `baseName` of the resource bundle.

Returns:
  `this`, to facilitate method chaining